Operation Description queryCombinedContentUpdatePolicyMembers query_policy_members_combinedSearch for members of a Content Update Policy in your environment by providing an FQL filter and paging details. Returns a set of host details which match the filter criteria. queryCombinedContentUpdatePolicies query_policies_combinedSearch for Content Update Policies in your environment by providing an FQL filter and paging details. Returns a set of Content Update Policies which match the filter criteria. performContentUpdatePoliciesAction perform_actionPerform the specified action on the Content Update Policies specified in the request. setContentUpdatePoliciesPrecedence set_precedenceSets the precedence of Content Update Policies based on the order of IDs specified in the request. The first ID specified will have the highest precedence and the last ID specified will have the lowest. You must specify all non-Default Policies when updating precedence. getContentUpdatePolicies get_policiesRetrieve a set of Content Update Policies by specifying their IDs. createContentUpdatePolicies create_policiesCreate Content Update Policies by specifying details about the policy to create. deleteContentUpdatePolicies delete_policiesDelete a set of Content Update Policies by specifying their IDs. updateContentUpdatePolicies update_policiesUpdate Content Update Policies by specifying the ID of the policy and details to update. queryContentUpdatePolicyMembers query_policy_membersSearch for members of a Content Update Policy in your environment by providing an FQL filter and paging details. Returns a set of Agent IDs which match the filter criteria. queryPinnableContentVersions query_pinnable_content_versionsSearch for content versions available for pinning given the category. queryContentUpdatePolicies query_policiesSearch for Content Update Policies in your environment by providing an FQL filter and paging details. Returns a set of Content Update Policy IDs which match the filter criteria.
Search for members of a Content Update Policy in your environment by providing an FQL filter and paging details. Returns a set of host details which match the filter criteria.
GET /policy/combined/content-update-members/v1
Scope Content Update Policy: READ Consumes · Produces application/json
PEP 8 query_policy_members_combined
Name Type Data type Description id query string The ID of the Content Update Policy to search for members of. filter query string The filter expression that should be used to limit the results. offset query integer The offset to start retrieving records from. limit query integer The maximum records to return. [1-5000] sort query string The property to sort by. parameters query dictionary Full set of query string parameters in a JSON formatted dictionary.
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.query_policy_members_combined( id = "string" ,
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.queryCombinedContentUpdatePolicyMembers( id = "string" ,
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.command( "queryCombinedContentUpdatePolicyMembers" ,
Get-FalconContentPolicyMember - Filter "string" `
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/content_update_policies "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . ContentUpdatePolicies . QueryCombinedContentUpdatePolicyMembers (
& content_update_policies . QueryCombinedContentUpdatePolicyMembersParams {
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . contentUpdatePolicies . queryCombinedContentUpdatePolicyMembers (
use rusty_falcon :: apis :: content_update_policies_api :: query_combined_content_update_policy_members;
use rusty_falcon :: easy :: client :: FalconHandle ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let response = query_combined_content_update_policy_members (
& falcon . cfg, // configuration
Some ( "string" ), // filter
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: ContentUpdatePolicies . new
response = api. query_combined_content_update_policy_members ( id: 'string' ,
Search for Content Update Policies in your environment by providing an FQL filter and paging details. Returns a set of Content Update Policies which match the filter criteria.
GET /policy/combined/content-update/v1
Scope Content Update Policy: READ Consumes · Produces application/json
PEP 8 query_policies_combined
Name Type Data type Description filter query string The filter expression that should be used to limit the results. offset query integer The offset to start retrieving records from. limit query integer The maximum records to return. [1-5000] sort query string The property to sort by. parameters query dictionary Full set of query string parameters in a JSON formatted dictionary.
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.query_policies_combined( filter = "string" ,
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.queryCombinedContentUpdatePolicies( filter = "string" ,
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.command( "queryCombinedContentUpdatePolicies" ,
Get-FalconContentPolicy - Filter "string" `
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/content_update_policies "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . ContentUpdatePolicies . QueryCombinedContentUpdatePolicies (
& content_update_policies . QueryCombinedContentUpdatePoliciesParams {
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . contentUpdatePolicies . queryCombinedContentUpdatePolicies (
use rusty_falcon :: apis :: content_update_policies_api :: query_combined_content_update_policies;
use rusty_falcon :: easy :: client :: FalconHandle ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let response = query_combined_content_update_policies (
& falcon . cfg, // configuration
Some ( "string" ), // filter
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: ContentUpdatePolicies . new
response = api. query_combined_content_update_policies ( filter: 'string' ,
Perform the specified action on the Content Update Policies specified in the request.
POST /policy/entities/content-update-actions/v1
Scope Content Update Policy: WRITE Consumes · Produces application/json
PEP 8 perform_action
Name Type Data type Description action_name query string The action to perform. Allowed values: add-host-group, disable, enable, override-allow, override-pause, override-revert, remove-host-group, remove-pinned-content-version, set-pinned-content-version action_parameters query dictionary or list of dictionaries Action specific parameter options. body body dictionary Full body payload as JSON formatted dictionary. ids body string or list of strings Content update policy IDs to perform action against. parameters query dictionary Full set of query string parameters in a JSON formatted dictionary.
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.perform_action( action_name = "string" ,
action_parameters = [{ "key" : "value" }],
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.performContentUpdatePoliciesAction( action_name = "string" ,
action_parameters = [{ "key" : "value" }],
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command( "performContentUpdatePoliciesAction" ,
Invoke-FalconContentPolicyAction - Name "string" - Id @ ( "ID1" , "ID2" )
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/content_update_policies "
" github.com/crowdstrike/gofalcon/falcon/models "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . ContentUpdatePolicies . PerformContentUpdatePoliciesAction (
& content_update_policies . PerformContentUpdatePoliciesActionParams {
Body : & models . MsaEntityActionRequestV2 {
ActionParameters : [] interface {}{
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . contentUpdatePolicies . performContentUpdatePoliciesAction (
use rusty_falcon :: apis :: content_update_policies_api :: perform_content_update_policies_action;
use rusty_falcon :: easy :: client :: FalconHandle ;
use rusty_falcon :: models :: MsaEntityActionRequestV2 ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let body = MsaEntityActionRequestV2 {
ids : vec! [ "string" . to_string ()],
let response = perform_content_update_policies_action (
& falcon . cfg, // configuration
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: ContentUpdatePolicies . new
body = Falcon :: MsaEntityActionRequestV2 . new (
response = api. perform_content_update_policies_action (body, 'string' )
Sets the precedence of Content Update Policies based on the order of IDs specified in the request. The first ID specified will have the highest precedence and the last ID specified will have the lowest. You must specify all non-Default Policies when updating precedence.
POST /policy/entities/content-update-precedence/v1
Scope Content Update Policy: WRITE Consumes · Produces application/json
PEP 8 set_precedence
Name Type Data type Description body body dictionary Full body payload as JSON formatted dictionary. ids body string or list of strings ID list in precedence order.
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.set_precedence( ids = id_list)
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.setContentUpdatePoliciesPrecedence( ids = id_list)
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command( "setContentUpdatePoliciesPrecedence" , body = body_payload)
Set-FalconContentPrecedence - Id @ ( "ID1" , "ID2" )
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/content_update_policies "
" github.com/crowdstrike/gofalcon/falcon/models "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . ContentUpdatePolicies . SetContentUpdatePoliciesPrecedence (
& content_update_policies . SetContentUpdatePoliciesPrecedenceParams {
Body : & models . BaseSetContentUpdatePolicyPrecedenceReqV1 {
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . contentUpdatePolicies . setContentUpdatePoliciesPrecedence (
use rusty_falcon :: apis :: content_update_policies_api :: set_content_update_policies_precedence;
use rusty_falcon :: easy :: client :: FalconHandle ;
use rusty_falcon :: models :: BaseSetContentUpdatePolicyPrecedenceReqV1 ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let body = BaseSetContentUpdatePolicyPrecedenceReqV1 {
ids : vec! [ "string" . to_string ()],
let response = set_content_update_policies_precedence (
& falcon . cfg, // configuration
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: ContentUpdatePolicies . new
body = Falcon :: BaseSetContentUpdatePolicyPrecedenceReqV1 . new (
response = api. set_content_update_policies_precedence (body)
Retrieve a set of Content Update Policies by specifying their IDs.
GET /policy/entities/content-update/v1
Scope Content Update Policy: READ Consumes · Produces application/json
PEP 8 get_policies
Name Type Data type Description ids query string or list of strings Content update policy IDs to return. parameters query dictionary Full set of query string parameters in a JSON formatted dictionary.
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_policies( ids = id_list)
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.getContentUpdatePolicies( ids = id_list)
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command( "getContentUpdatePolicies" ,
Get-FalconContentPolicy - Id @ ( "ID1" , "ID2" )
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/content_update_policies "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . ContentUpdatePolicies . GetContentUpdatePolicies (
& content_update_policies . GetContentUpdatePoliciesParams {
Ids : [] string { "ID1" , "ID2" , "ID3" },
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . contentUpdatePolicies . getContentUpdatePolicies ([ "ID1" , "ID2" , "ID3" ]); // ids
use rusty_falcon :: apis :: content_update_policies_api :: get_content_update_policies;
use rusty_falcon :: easy :: client :: FalconHandle ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let response = get_content_update_policies (
& falcon . cfg, // configuration
vec! [ "string" . to_string ()], // ids
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: ContentUpdatePolicies . new
response = api. get_content_update_policies ([ 'ID1' , 'ID2' , 'ID3' ])
Create Content Update Policies by specifying details about the policy to create.
POST /policy/entities/content-update/v1
Scope Content Update Policy: WRITE Consumes · Produces application/json
PEP 8 create_policies
Name Type Data type Description body body dictionary Full body payload as JSON formatted dictionary. description body string Content Update policy description. name body string Content Update policy name. settings body dictionary Content Update policy settings.
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.create_policies( description = "string" ,
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.createContentUpdatePolicies( description = "string" ,
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
"ring_assignment_settings" : [ "string" ]
response = falcon.command( "createContentUpdatePolicies" , body = body_payload)
New-FalconContentPolicy - Name "string"
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/content_update_policies "
" github.com/crowdstrike/gofalcon/falcon/models "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . ContentUpdatePolicies . CreateContentUpdatePolicies (
& content_update_policies . CreateContentUpdatePoliciesParams {
Body : & models . ContentUpdateCreatePoliciesReqV1 {
Resources : [] interface {}{
Description : & description ,
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . contentUpdatePolicies . createContentUpdatePolicies (
ringAssignmentSettings: []
use rusty_falcon :: apis :: content_update_policies_api :: create_content_update_policies;
use rusty_falcon :: easy :: client :: FalconHandle ;
use rusty_falcon :: models :: ContentUpdateCreatePoliciesReqV1 ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let body = ContentUpdateCreatePoliciesReqV1 {
resources : vec! [ CreatePolicyReqV1 {
name : Some ( "string" . to_string ()),
let response = create_content_update_policies (
& falcon . cfg, // configuration
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: ContentUpdatePolicies . new
body = Falcon :: ContentUpdateCreatePoliciesReqV1 . new (
ring_assignment_settings: []
response = api. create_content_update_policies (body)
Delete a set of Content Update Policies by specifying their IDs.
DELETE /policy/entities/content-update/v1
Scope Content Update Policy: WRITE Consumes · Produces application/json
PEP 8 delete_policies
Name Type Data type Description ids query string or list of strings Content update policy IDs to remove. parameters query dictionary Full set of query string parameters in a JSON formatted dictionary.
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_policies( ids = id_list)
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.deleteContentUpdatePolicies( ids = id_list)
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command( "deleteContentUpdatePolicies" ,
Remove-FalconContentPolicy - Id @ ( "ID1" , "ID2" )
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/content_update_policies "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . ContentUpdatePolicies . DeleteContentUpdatePolicies (
& content_update_policies . DeleteContentUpdatePoliciesParams {
Ids : [] string { "ID1" , "ID2" , "ID3" },
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . contentUpdatePolicies . deleteContentUpdatePolicies ([ "ID1" , "ID2" , "ID3" ]); // ids
use rusty_falcon :: apis :: content_update_policies_api :: delete_content_update_policies;
use rusty_falcon :: easy :: client :: FalconHandle ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let response = delete_content_update_policies (
& falcon . cfg, // configuration
vec! [ "string" . to_string ()], // ids
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: ContentUpdatePolicies . new
response = api. delete_content_update_policies ([ 'ID1' , 'ID2' , 'ID3' ])
Update Content Update Policies by specifying the ID of the policy and details to update.
PATCH /policy/entities/content-update/v1
Scope Content Update Policy: WRITE Consumes · Produces application/json
PEP 8 update_policies
Name Type Data type Description body body dictionary Full body payload as JSON formatted dictionary. description body string Content Update policy description. id body string Content Update policy ID to update. name body string Content Update policy name. settings body dictionary Content Update policy settings.
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
"ring_assignment_settings" : [ "string" ]
response = falcon.update_policies( resources = resources)
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
"ring_assignment_settings" : [ "string" ]
response = falcon.updateContentUpdatePolicies( resources = resources)
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
"ring_assignment_settings" : [ "string" ]
response = falcon.command( "updateContentUpdatePolicies" , body = body_payload)
Edit-FalconContentPolicy - Id "string"
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/content_update_policies "
" github.com/crowdstrike/gofalcon/falcon/models "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . ContentUpdatePolicies . UpdateContentUpdatePolicies (
& content_update_policies . UpdateContentUpdatePoliciesParams {
Body : & models . ContentUpdateUpdatePoliciesReqV1 {
Resources : [] interface {}{
Description : & description ,
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . contentUpdatePolicies . updateContentUpdatePolicies (
ringAssignmentSettings: []
use rusty_falcon :: apis :: content_update_policies_api :: update_content_update_policies;
use rusty_falcon :: easy :: client :: FalconHandle ;
use rusty_falcon :: models :: ContentUpdateUpdatePoliciesReqV1 ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let body = ContentUpdateUpdatePoliciesReqV1 {
resources : vec! [ UpdatePolicyReqV1 {
id : Some ( "string" . to_string ()),
let response = update_content_update_policies (
& falcon . cfg, // configuration
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: ContentUpdatePolicies . new
body = Falcon :: ContentUpdateUpdatePoliciesReqV1 . new (
ring_assignment_settings: []
response = api. update_content_update_policies (body)
Search for members of a Content Update Policy in your environment by providing an FQL filter and paging details. Returns a set of Agent IDs which match the filter criteria.
GET /policy/queries/content-update-members/v1
Scope Content Update Policy: READ Consumes · Produces application/json
PEP 8 query_policy_members
Name Type Data type Description id query string The ID of the Content Update Policy to search for members of. filter query string The filter expression that should be used to limit the results. offset query integer The offset to start retrieving records from. limit query integer The maximum records to return. [1-5000] sort query string The property to sort by. parameters query dictionary Full set of query string parameters in a JSON formatted dictionary.
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.query_policy_members( id = "string" ,
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.queryContentUpdatePolicyMembers( id = "string" ,
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.command( "queryContentUpdatePolicyMembers" ,
Get-FalconContentPolicyMember - Filter "string" `
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/content_update_policies "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . ContentUpdatePolicies . QueryContentUpdatePolicyMembers (
& content_update_policies . QueryContentUpdatePolicyMembersParams {
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . contentUpdatePolicies . queryContentUpdatePolicyMembers (
use rusty_falcon :: apis :: content_update_policies_api :: query_content_update_policy_members;
use rusty_falcon :: easy :: client :: FalconHandle ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let response = query_content_update_policy_members (
& falcon . cfg, // configuration
Some ( "string" ), // filter
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: ContentUpdatePolicies . new
response = api. query_content_update_policy_members ( id: 'string' ,
Search for content versions available for pinning given the category.
GET /policy/queries/content-update-pin-versions/v1
Scope Content Update Policy: READ Consumes · Produces application/json
PEP 8 query_pinnable_content_versions
Name Type Data type Description category query string Content category. Valid values: rapid_response_al_bl_listing, sensor_operations, system_critical, vulnerability_management sort query string The value to sort returned content versions by. Defaults to deployed_timestamp.desc. Available values: deployed_timestamp.asc, deployed_timestamp.desc parameters query dictionary Full set of query string parameters in a JSON formatted dictionary.
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.query_pinnable_content_versions( category = "string" ,
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.queryPinnableContentVersions( category = "string" , sort = "string" )
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.command( "queryPinnableContentVersions" ,
Get-FalconContentVersion - Category "string" - Sort "string"
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/content_update_policies "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . ContentUpdatePolicies . QueryPinnableContentVersions (
& content_update_policies . QueryPinnableContentVersionsParams {
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . contentUpdatePolicies . queryPinnableContentVersions (
use rusty_falcon :: apis :: content_update_policies_api :: query_pinnable_content_versions;
use rusty_falcon :: easy :: client :: FalconHandle ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let response = query_pinnable_content_versions (
& falcon . cfg, // configuration
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: ContentUpdatePolicies . new
response = api. query_pinnable_content_versions ( 'string' )
Search for Content Update Policies in your environment by providing an FQL filter and paging details. Returns a set of Content Update Policy IDs which match the filter criteria.
GET /policy/queries/content-update/v1
Scope Content Update Policy: READ Consumes · Produces application/json
PEP 8 query_policies
Name Type Data type Description filter query string The filter expression that should be used to limit the results. offset query integer The offset to start retrieving records from. limit query integer The maximum records to return. [1-5000] sort query string The property to sort by. parameters query dictionary Full set of query string parameters in a JSON formatted dictionary.
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.query_policies( filter = "string" ,
from falconpy import ContentUpdatePolicies
falcon = ContentUpdatePolicies( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.queryContentUpdatePolicies( filter = "string" ,
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.command( "queryContentUpdatePolicies" ,
Get-FalconContentPolicy - Filter "string" `
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/content_update_policies "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . ContentUpdatePolicies . QueryContentUpdatePolicies (
& content_update_policies . QueryContentUpdatePoliciesParams {
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . contentUpdatePolicies . queryContentUpdatePolicies (
use rusty_falcon :: apis :: content_update_policies_api :: query_content_update_policies;
use rusty_falcon :: easy :: client :: FalconHandle ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let response = query_content_update_policies (
& falcon . cfg, // configuration
Some ( "string" ), // filter
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: ContentUpdatePolicies . new
response = api. query_content_update_policies ( filter: 'string' ,